From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/audacious/
Date: Sat, 24 Nov 2018 23:44:25 +0000 (UTC) [thread overview]
Message-ID: <1543103034.f1b5892518d015a70e94656cdf0c22c75dc5176c.asturm@gentoo> (raw)
commit: f1b5892518d015a70e94656cdf0c22c75dc5176c
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 24 23:42:20 2018 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Nov 24 23:43:54 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1b58925
media-sound/audacious: Revert drop 3.9
Required by media-libs/freeverb3[audacious].
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
media-sound/audacious/Manifest | 2 +
media-sound/audacious/audacious-3.9.ebuild | 94 ++++++++++++++++++++++++++++++
media-sound/audacious/metadata.xml | 1 +
3 files changed, 97 insertions(+)
diff --git a/media-sound/audacious/Manifest b/media-sound/audacious/Manifest
index 165a6870661..091c016fb12 100644
--- a/media-sound/audacious/Manifest
+++ b/media-sound/audacious/Manifest
@@ -1,2 +1,4 @@
DIST audacious-3.10.tar.bz2 563531 BLAKE2B cde59bd5aff8e0530f76f3bdde20b48f829592a0a67cc03e8b7c08a8892259e99e9de2b1608698ff28819b7a6d0341d5237491f7591c4380566512076a0889b9 SHA512 513d5f9608c1ebeae9cf9bb95128244e990e66c74bf49aff6570ec557d537809f3ebf93c400f5df2708ff61cf04ecc95da183b111f5a757735cef5a68dd9907f
+DIST audacious-3.9-gtk3.tar.bz2 600249 BLAKE2B 08559eafc85236e8e881d0cbe6f08e29c82baf0fc46b9209f1d3eee290460260bfa99e6e8f26940f8c6854f3782da24061226ebdb416b6249d10914093e16276 SHA512 6ff98d027c13b30ea9600a9aba914ec993c69826199b8dc303cb60cebdf2af06a7e3dd4af1d34a86343be5485848a57c8a29e48d2a45a33945585550de4e5f9c
+DIST audacious-3.9.tar.bz2 599488 BLAKE2B 2288fe6919c1770cd283af809629fda72186cc0b87a42821f5fb9b7a20c8e7cd5bc00611d10677a82877c5ebc8a1b5ad728626027b95cc875b66dda732b8747f SHA512 d8ef24c91c84bfa80831075cd9a12fc4bf02cec8bc96bcfa5a941254d194cccdc482482b1c015bc63e1142718c2221034c0f3a87e2cb6e4daf3b4cc428328aaa
DIST gentoo_ice-xmms-0.2.tar.bz2 51839 BLAKE2B d3bf8dbfee675dd588bc0258f1015c76877b6b0a3835813d8e9621d149b924aaa33544d07f7ad44a01c058d41d7480b3908b0773c124af33b6e020c376b13d54 SHA512 e863a8f86073007c47ce8c20739aae4bff22e22a7ddc11556b12ae6ebb68654cec7310fdc9d05f2c47f81cf2591fe601b2eb12a2fd911c0a6118c9f3cc524f05
diff --git a/media-sound/audacious/audacious-3.9.ebuild b/media-sound/audacious/audacious-3.9.ebuild
new file mode 100644
index 00000000000..dea37f7b001
--- /dev/null
+++ b/media-sound/audacious/audacious-3.9.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2-utils xdg-utils
+
+MY_P="${P/_/-}"
+S="${WORKDIR}/${MY_P}"
+
+DESCRIPTION="Audacious Player - Your music, your way, no exceptions"
+HOMEPAGE="https://audacious-media-player.org/"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit autotools git-r3
+ EGIT_REPO_URI="https://github.com/audacious-media-player/audacious.git"
+else
+ SRC_URI="
+ !gtk3? ( https://distfiles.audacious-media-player.org/${MY_P}.tar.bz2 )
+ gtk3? ( https://distfiles.audacious-media-player.org/${MY_P}-gtk3.tar.bz2 )"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+SRC_URI+=" mirror://gentoo/gentoo_ice-xmms-0.2.tar.bz2"
+
+LICENSE="BSD-2"
+SLOT="0"
+IUSE="gtk gtk3 nls qt5"
+REQUIRED_USE="^^ ( gtk gtk3 qt5 )"
+
+RDEPEND="
+ >=dev-libs/dbus-glib-0.60
+ >=dev-libs/glib-2.28
+ >=x11-libs/cairo-1.2.6
+ >=x11-libs/pango-1.8.0
+ virtual/freedesktop-icon-theme
+ gtk? ( x11-libs/gtk+:2 )
+ gtk3? ( x11-libs/gtk+:3 )
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+ )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ nls? ( dev-util/intltool )"
+PDEPEND="~media-plugins/audacious-plugins-${PV}"
+
+src_unpack() {
+ default
+ if use gtk3; then
+ mv "${MY_P}"{-gtk3,} || die
+ fi
+ [[ ${PV} == *9999 ]] && git-r3_src_unpack
+}
+
+src_prepare() {
+ default
+ [[ ${PV} == *9999 ]] && eautoreconf
+}
+
+src_configure() {
+ # D-Bus is a mandatory dependency, remote control,
+ # session management and some plugins depend on this.
+ # Building without D-Bus is *unsupported* and a USE-flag
+ # will not be added due to the bug reports that will result.
+ # Bugs #197894, #199069, #207330, #208606
+ econf \
+ --disable-valgrind \
+ --enable-dbus \
+ $(use_enable $(usex gtk gtk gtk3) gtk) \
+ $(use_enable nls) \
+ $(use_enable qt5 qt)
+}
+
+src_install() {
+ default
+
+ # Gentoo_ice skin installation; bug #109772
+ insinto /usr/share/audacious/Skins/gentoo_ice
+ doins -r "${WORKDIR}"/gentoo_ice/.
+ docinto gentoo_ice
+ dodoc "${WORKDIR}"/README
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+}
diff --git a/media-sound/audacious/metadata.xml b/media-sound/audacious/metadata.xml
index 56e2b754081..503c619ac00 100644
--- a/media-sound/audacious/metadata.xml
+++ b/media-sound/audacious/metadata.xml
@@ -10,6 +10,7 @@
<name>Gentoo Sound project</name>
</maintainer>
<use>
+ <flag name="gtk3">Link against version 3 of the GIMP Toolkit instead of version 2 (x11-libs/gtk+)</flag>
<flag name="qt5">Build with Qt5 interface instead Gtk+</flag>
</use>
</pkgmetadata>
next reply other threads:[~2018-11-24 23:44 UTC|newest]
Thread overview: 76+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-11-24 23:44 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-07 13:55 [gentoo-commits] repo/gentoo:master commit in: media-sound/audacious/ Miroslav Šulc
2024-12-06 10:11 Sam James
2024-12-06 10:04 Sam James
2024-11-04 9:13 Miroslav Šulc
2024-10-01 21:01 Matt Turner
2023-06-01 7:01 Miroslav Šulc
2023-05-31 12:42 Arthur Zamarin
2023-05-31 12:42 Arthur Zamarin
2023-05-10 5:21 Miroslav Šulc
2023-05-09 5:52 Arthur Zamarin
2023-05-08 12:35 Sam James
2023-04-30 7:16 Miroslav Šulc
2023-04-07 8:12 Miroslav Šulc
2022-08-13 4:13 Miroslav Šulc
2022-08-12 10:33 Agostino Sarubbo
2022-08-12 10:17 Agostino Sarubbo
2022-07-11 4:22 Miroslav Šulc
2021-12-22 12:59 Agostino Sarubbo
2021-12-22 11:25 Jakov Smolić
2021-12-01 21:27 Sam James
2021-12-01 21:27 Sam James
2021-11-21 12:59 Joonas Niilola
2021-11-21 12:59 Joonas Niilola
2021-11-21 12:59 Joonas Niilola
2021-11-21 12:59 Joonas Niilola
2021-09-23 5:41 Yixun Lan
2020-07-28 14:25 Andreas Sturmlechner
2020-07-28 14:11 Sam James
2020-07-27 13:54 Sam James
2020-07-15 16:28 Andreas Sturmlechner
2020-06-02 11:27 Andreas Sturmlechner
2020-06-02 11:27 Andreas Sturmlechner
2020-05-28 18:56 Andreas Sturmlechner
2020-05-28 18:56 Andreas Sturmlechner
2020-05-28 15:45 Agostino Sarubbo
2020-05-28 15:37 Agostino Sarubbo
2020-04-30 20:03 Andreas Sturmlechner
2020-04-30 20:03 Andreas Sturmlechner
2020-04-16 19:54 Andreas Sturmlechner
2020-04-16 19:54 Andreas Sturmlechner
2020-03-24 23:03 Andreas Sturmlechner
2020-03-21 22:40 Andreas Sturmlechner
2020-03-21 22:40 Andreas Sturmlechner
2020-01-25 17:38 David Seifert
2020-01-25 15:40 David Seifert
2019-11-15 0:36 Andreas Sturmlechner
2019-11-15 0:36 Andreas Sturmlechner
2019-11-12 10:45 Agostino Sarubbo
2019-02-14 23:06 Andreas Sturmlechner
2018-12-13 0:32 Andreas Sturmlechner
2018-12-13 0:32 Andreas Sturmlechner
2018-11-24 23:18 Andreas Sturmlechner
2018-11-24 23:18 Andreas Sturmlechner
2018-11-24 23:18 Andreas Sturmlechner
2018-11-24 23:18 Andreas Sturmlechner
2018-11-23 21:33 Andreas Sturmlechner
2018-11-19 22:53 Andreas Sturmlechner
2018-11-19 21:52 Andreas Sturmlechner
2018-02-08 19:15 Andreas Sturmlechner
2017-12-24 22:01 David Seifert
2017-11-07 6:40 David Seifert
2017-11-06 7:10 David Seifert
2017-11-05 17:50 Andreas Hüttel
2017-11-05 13:17 David Seifert
2017-11-05 11:49 David Seifert
2017-08-13 11:11 David Seifert
2017-05-13 11:49 Jeroen Roovers
2016-03-27 1:26 Robin H. Johnson
2015-12-24 21:42 Manuel Rüger
2015-11-13 9:48 Agostino Sarubbo
2015-11-12 10:37 Agostino Sarubbo
2015-09-29 13:38 Tobias Klausmann
2015-09-29 13:35 Tobias Klausmann
2015-09-24 11:02 Agostino Sarubbo
2015-09-24 11:01 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1543103034.f1b5892518d015a70e94656cdf0c22c75dc5176c.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox